Bug 430384 - Fedora Core 8 Live::Anaconda Fails install on machine with Intel Based Raid from LiveCD
Fedora Core 8 Live::Anaconda Fails install on machine with Intel Based Raid f...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 04:42 EST by Warren Ahner
Modified: 2008-08-06 17:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 17:02:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Ahner 2008-01-27 04:42:17 EST
Description of problem:
Installer for live CD crashes on loading third screen (after keyboard selection
page) 

ERROR OPENING /dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address.  

Retries keep causing this error, cancel causes following error window text:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/partedUtils.py", line 729, in getLabels
    disk = self.disks[drive]
  File "/usr/lib/anaconda/partitions.py", line 90, in setFromDisk
    labels = diskset.getLabels()
  File "/usr/lib/anaconda/partitioning.py", line 53, in partitionObjectsInitialize
    anaconda.id.partitions.setFromDisk(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
KeyError: 'mapper/isw_biiajbifaf_BLACKRAID'

Local variables in innermost frame:
node: sdb2
labels: {}
self: <partedUtils.DiskSet instance at 0x971956c>
drive: mapper/isw_biiajbifaf_BLACKRAID
parts: [<PedPartition object at 0x9412de8>, <PedPartition object at 0x9412e00>,
<PedPartition object at 0x9412dd0>]
label: 
part: <PedPartition object at 0x9412dd0>
func: <function <lambda> at 0x99fa924>
disk: <PedDisk object at 0x9412d88>


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 51
    intf.icw.mainxml: <glade.XML object at 0x971b98c (PyGladeXML at 0x9815c68)>
    intf.icw.reloadRcQueued: 0
    intf.icw.currentWindow: KeyboardWindow instance, containing members:
      intf.icw.currentWindow.modelViewSW: <gtk.ScrolledWindow object at
0x99f593c (GtkScrolledWindow at 0x9771250)>
      intf.icw.currentWindow.modelStore: <gtk.ListStore object at 0x99f5414
(GtkListStore at 0x9995b00)>
      intf.icw.currentWindow.modelView: <gtk.TreeView object at 0x99f58c4
(GtkTreeView at 0x9a3f0f0)>
      intf.icw.currentWindow.kbd: Keyboard instance, containing members:
        intf.icw.currentWindow.kbd.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        intf.icw.currentWindow.kbd.type: PC
        intf.icw.currentWindow.kbd.beenset: 1
        intf.icw.currentWindow.kbd._mods: KeyboardModels instance, containing
members:
      intf.icw.currentWindow.myVbox: <gtk.VBox object at 0x99f5a04 (GtkVBox at
0x98304c0)>
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: True
        intf.icw.currentWindow.ics.title: Install Window
      intf.icw.currentWindow.kbdDict: {'gr': ['Greek', 'us,gr', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'sr-cy': ['Serbian', 'cs', 'pc105', '',
''], 'sv-latin1': ['Swedish', 'se', 'pc105', '', ''], 'it': ['Italian', 'it',
'pc105', '', ''], 'fr_CH-latin1': ['Swiss French (latin1)', 'ch', 'pc105', 'fr',
''], 'fr-latin9': ['French (latin9)', 'fr', 'pc105', 'latin9', ''], 'dev':
['Devanagari (Inscript)', 'us,dev', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'sk-qwerty': ['Slovak (qwerty)', 'sk',
'pc105', '', 'qwerty'], 'et': ['Estonian', 'ee', 'pc105', '', ''],
'ar-qwerty-digits': ['Arabic (qwerty/digits)', 'us,ara', 'pc105',
'qwerty_digits', 'grp:shifts_toggle,grp_led:scroll'], 'ar-azerty': ['Arabic
(azerty)', 'us,ara', 'pc105', 'azerty', 'grp:shifts_toggle,grp_led:scroll'],
'es': ['Spanish', 'es', 'pc105', '', ''], 'pl2': ['Polish', 'pl', 'pc105', '',
''], 'cz-lat2': ['Czech (qwerty)', 'cz', 'pc105', 'qwerty', ''], 'ru':
['Russian', 'us,ru', 'pc105', '', 'grp:shifts_toggle,grp_led:scroll'],
'bg_bds-utf8': ['Bulgarian', 'us,bg', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'no': ['Norwegian', 'no', 'pc105', '', ''],
'de-latin1-nodeadkeys': ['German (latin1 w/ no deadkeys)', 'de', 'pc105',
'nodeadkeys', ''], 'ben': ['Bengali (Inscript)', 'us,in', 'pc105', 'ben',
'grp:shifts_toggle,grp_led:scroll'], 'ar-azerty-digits': ['Arabic
(azerty/digits)', 'us,ara', 'pc105', 'azerty_digits',
'grp:shifts_toggle,grp_led:scroll'], 'ar-qwerty': ['Arabic (qwerty)', 'us,ara',
'pc105', 'qwerty', 'grp:shifts_toggle,grp_led:scroll'], 'ko': ['Korean', 'kr',
'pc105', '', ''], 'pt-latin1': ['Portuguese', 'pt', 'pc105', '', ''],
'us-acentos': ['U.S. International', 'us', 'pc105', 'intl', ''], 'de-latin1':
['German (latin1)', 'de', 'pc105', '', ''], 'ar-digits': ['Arabic (digits)',
'us,ara', 'pc105', 'digits', 'grp:shifts_toggle,grp_led:scroll'],
'cz-us-qwertz': ['Czech', 'us,cz', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'it-ibm': ['Italian (IBM)', 'it', 'pc105',
'', ''], 'dk-latin1': ['Danish (latin1)', 'dk', 'pc105', '', ''], 'fr-pc':
['French (pc)', 'fr', 'pc105', '', ''], 'dk': ['Danish', 'dk', 'pc105', '', ''],
'be-latin1': ['Belgian (be-latin1)', 'be', 'pc105', '', ''], 'hu': ['Hungarian',
'hu', 'pc105', '', ''], 'sg-latin1': ['Swiss German (latin1)', 'ch', 'pc105',
'de_nodeadkeys', ''], 'fr-latin1': ['French (latin1)', 'fr', 'pc105', '', ''],
'ua-utf': ['Ukrainian', 'us,ua', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'tml-uni': ['Tamil (Typewriter)', 'us,in',
'pc105', 'tam_TAB', 'grp:shifts_toggle,grp_led:scroll'], 'cf': ['French
Canadian', 'ca(fr)', 'pc105', '', ''], 'ro_win': ['Romanian', 'ro', 'pc105', '',
''], 'fr': ['French', 'fr', 'pc105', '', ''], 'fr_CH': ['Swiss French', 'fr_CH',
'pc105', '', ''], 'fi': ['Finnish', 'fi', 'pc105', '', ''], 'sr-latin':
['Serbian (latin)', 'cs', 'pc105', 'latin', ''], 'dvorak': ['Dvorak', 'us',
'pc105', 'dvorak', ''], 'it2': ['Italian (it2)', 'it', 'pc105', '', ''],
'fi-latin1': ['Finnish (latin1)', 'fi', 'pc105', '', ''], 'ben-probhat':
['Bengali (Probhat)', 'us,in', 'pc105', 'ben_probhat',
'grp:shifts_toggle,grp_led:scroll'], 'croat': ['Croatian', 'hr', 'pc105', '',
''], 'jp106': ['Japanese', 'jp', 'jp106', '', ''], 'hu101': ['Hungarian (101
key)', 'hu', 'pc105', 'qwerty', ''], 'slovene': ['Slovenian', 'si', 'pc105', '',
''], 'tml-inscript': ['Tamil (Inscript)', 'us,in', 'pc105', 'tam',
'grp:shifts_toggle,grp_led:scroll'], 'br-abnt2': ['Brazilian (ABNT2)', 'br',
'abnt2', '', ''], 'bg_pho-utf8': ['Bulgarian (Phonetic)', 'us,bg', 'pc105',
',phonetic', 'grp:shifts_toggle,grp_led:scroll'], 'us': ['U.S. English',
'us+inet', 'pc105', '', ''], 'la-latin1': ['Latin American', 'latam', 'pc105',
'', ''], 'gur': ['Punjabi (Inscript)', 'us,gur', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'de': ['German', 'de', 'pc105', '', ''],
'is-latin1': ['Icelandic', 'is', 'pc105', '', ''], 'uk': ['United Kingdom',
'gb', 'pc105', '', ''], 'guj': ['Gujarati (Inscript)', 'us,in', 'pc105', 'guj',
'grp:shifts_toggle,grp_led:scroll'], 'trq': ['Turkish', 'tr', 'pc105', '', ''],
'mk-utf': ['Macedonian', 'us,mkd', 'pc105', '',
'grp:shifts_toggle,grp_led:scroll'], 'nl': ['Dutch', 'nl', 'pc105', '', ''],
'sg': ['Swiss German', 'ch', 'pc105', 'de_nodeadkeys', '']}
      intf.icw.currentWindow.type: us
      intf.icw.currentWindow.col: <gtk.TreeViewColumn object at 0x99f5914
(GtkTreeViewColumn at 0x9829598)>
      intf.icw.currentWindow.icon: <gtk.Image object at 0x99f59dc (GtkImage at
0x999a710)>
    intf.icw.window: <gtk.Window object at 0x971b8c4 (GtkWindow at 0x9822990)>
    intf.icw.installFrame: <gtk.Frame object at 0x971b964 (GtkFrame at 0x97718f0)>
    intf.icw.anaconda: Already dumped
    intf.icw.rnv: ReleaseNotesViewer instance, containing members:
      intf.icw.rnv.textWin: <gtk.Window object at 0x971b8ec (GtkWindow at
0x9822830)>
      intf.icw.rnv.vue: <gtkhtml2.View object at 0x971b84c (HtmlView at 0x97fc070)>
      intf.icw.rnv.currentURI: None
      intf.icw.rnv.topDir: None
      intf.icw.rnv.doc: <gtkhtml2.Document object at 0x971b7d4 (HtmlDocument at
0x97f3e90)>
      intf.icw.rnv.height: 600
      intf.icw.rnv.width: 800
      intf.icw.rnv.opener: FancyURLopener instance, containing members:
        intf.icw.rnv.opener._URLopener__unlink: <built-in function unlink>
        intf.icw.rnv.opener._URLopener__tempfiles: []
        intf.icw.rnv.opener.cert_file: None
        intf.icw.rnv.opener.addheaders: [('User-Agent', 'Python-urllib/1.17')]
        intf.icw.rnv.opener.tries: 0
        intf.icw.rnv.opener.ftpcache: {}
        intf.icw.rnv.opener.tempcache: None
        intf.icw.rnv.opener.auth_cache: {}
        intf.icw.rnv.opener.key_file: None
        intf.icw.rnv.opener.proxies: {}
        intf.icw.rnv.opener.maxtries: 10
      intf.icw.rnv.anaconda: Already dumped
      intf.icw.rnv.htmlheader: <html><head><meta http-equiv="Content-Type"
content="text/html; charset=utf-8"></head><body bgcolor="white"><pre>
      intf.icw.rnv.htmlfooter: </pre></body></html>
      intf.icw.rnv.is_showing: False
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0x97193cc>
method: LiveCDImageMethod instance, containing members:
  method.intf: Already dumped
  method.tree: None
  method.rootPath: /mnt/sysimage
  method.osimg: //dev/mapper/live-osimg-min
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x9594cac>]
Primary Video Card Info:
device: None
driver : nv
descr : nVidia Corporation G80 [GeForce 8800 GTS]
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: nVidia Corporation G80
[GeForce 8800 GTS]
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: nv
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200,
1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Already dumped
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: None
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: 0
    id.timezone.arc: 0
    id.timezone.tz: America/New_York
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x97192ac>
  id.methodstr: livecd:///dev/mapper/live-osimg-min
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x95a816c>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x95a816c>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x95a816c>>
    id.fsset.entries: [fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {'sda': True, 'sdb': True}
    id.diskset.disks: {'sda': <PedDisk object at 0x9412d58>, 'sdb': <PedDisk
object at 0x9412d88>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: None
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: None
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth1': DEVICE=eth1
HWADDR=00:50:8D:B4:25:41
ONBOOT=no

, 'eth0': DEVICE=eth0
HWADDR=00:50:8D:B4:25:40
ONBOOT=no

}
    id.network.primaryNS: 192.168.1.2
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: 
    id.network.gateway: 
  id.instClass: <installclass.DefaultInstall object at 0x92d62ec>
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 1
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: []
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None
uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 1000  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
01:27:06 INFO    : using only installclass _Fedora
01:27:06 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
01:27:06 INFO    : Display mode = g
01:27:06 INFO    : Method = livecd:///dev/mapper/live-osimg-min
01:27:06 WARNING : no floppy devices found but we'll try fd0 anyway
01:27:09 INFO    : Starting graphical installation...
01:27:09 INFO    : Detected 3296M of memory
01:27:09 INFO    : Swap attempt of 1000M to 2000M
01:27:09 WARNING : step installtype does not exist
01:27:09 WARNING : step complete does not exist
01:27:10 INFO    : moving (1) to step welcome
01:27:12 INFO    : moving (1) to step keyboard
01:27:13 INFO    : moving (1) to step partitionobjinit
01:27:13 INFO    : no /tmp/fcpconfig; not configuring zfcp
01:27:13 DEBUG   : starting mpaths
01:27:13 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf']
01:27:13 DEBUG   : DiskSet.skippedDisks: []
01:27:13 DEBUG   : DiskSet.skippedDisks: []
01:27:13 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:13 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:13 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

01:27:13 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
01:27:13 DEBUG   : mpaths: []
01:27:13 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc',
'sdd', 'sde', 'sdf']
01:27:13 DEBUG   : starting dmraids
01:27:13 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf']
01:27:13 DEBUG   : DiskSet.skippedDisks: []
01:27:13 DEBUG   : DiskSet.skippedDisks: []
01:27:13 DEBUG   : starting all dmraids on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:13 DEBUG   : scanning for dmraid on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:13 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

01:27:14 DEBUG   : got raidset <block.device.RaidSet instance at 0x960082c> (sdc
sdd sde sdf)
01:27:14 DEBUG   :   valid: True found_devs: 4 total_devs: 4
01:27:14 DEBUG   : adding mapper/isw_biiajbifaf_BLACKRAID to isys cache
01:27:14 DEBUG   : adding sdc to dm cache
01:27:14 DEBUG   : removing sdc from isys cache
01:27:14 DEBUG   : adding sdd to dm cache
01:27:14 DEBUG   : removing sdd from isys cache
01:27:14 DEBUG   : adding sde to dm cache
01:27:14 DEBUG   : removing sde from isys cache
01:27:14 DEBUG   : adding sdf to dm cache
01:27:14 DEBUG   : removing sdf from isys cache
01:27:14 DEBUG   : starting raid <block.device.RaidSet instance at 0x960082c>
with mknod=True
01:27:14 ERROR   : Activating raid isw_biiajbifaf_BLACKRAID failed: 
01:27:14 ERROR   : Activating raid isw_biiajbifaf_BLACKRAID failed: 
01:27:14 ERROR   :   table: 0 2930304000 raid45 core 2 131072 nosync raid5_la 1
128 4 -1 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
01:27:14 ERROR   :   table: 0 2930304000 raid45 core 2 131072 nosync raid5_la 1
128 4 -1 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
01:27:14 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
01:27:14 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
01:27:14 DEBUG   : done starting dmraids.  Drivelist: ['sda', 'sdb',
'mapper/isw_biiajbifaf_BLACKRAID']
01:27:14 DEBUG   : adding drive sda to disk list
01:27:14 DEBUG   : adding drive sdb to disk list
01:27:14 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:20 DEBUG   : parted error: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:20 DEBUG   : removing drive mapper/isw_biiajbifaf_BLACKRAID from disk lists
01:27:20 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:20 WARNING : /usr/lib/anaconda/isys.py:864: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:20 WARNING : /usr/lib/anaconda/isys.py:799: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:20 WARNING : /usr/lib/anaconda/isys.py:832: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:20 WARNING : /usr/lib/anaconda/isys.py:926: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:20 CRITICAL: anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/partedUtils.py", line 729, in getLabels
    disk = self.disks[drive]
  File "/usr/lib/anaconda/partitions.py", line 90, in setFromDisk
    labels = diskset.getLabels()
  File "/usr/lib/anaconda/partitioning.py", line 53, in partitionObjectsInitialize
    anaconda.id.partitions.setFromDisk(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
KeyError: 'mapper/isw_biiajbifaf_BLACKRAID'

01:27:34 INFO    : using only installclass _Fedora
01:27:35 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
01:27:35 INFO    : Display mode = g
01:27:35 INFO    : Method = livecd:///dev/mapper/live-osimg-min
01:27:35 WARNING : no floppy devices found but we'll try fd0 anyway
01:27:38 INFO    : Starting graphical installation...
01:27:38 INFO    : Detected 3296M of memory
01:27:38 INFO    : Swap attempt of 1000M to 2000M
01:27:38 WARNING : step installtype does not exist
01:27:38 WARNING : step complete does not exist
01:27:38 INFO    : moving (1) to step welcome
01:27:40 INFO    : moving (1) to step keyboard
01:27:41 INFO    : moving (1) to step partitionobjinit
01:27:41 INFO    : no /tmp/fcpconfig; not configuring zfcp
01:27:41 DEBUG   : starting mpaths
01:27:41 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf']
01:27:41 DEBUG   : DiskSet.skippedDisks: []
01:27:41 DEBUG   : DiskSet.skippedDisks: []
01:27:41 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:41 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:41 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

01:27:41 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
01:27:41 DEBUG   : mpaths: []
01:27:41 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc',
'sdd', 'sde', 'sdf']
01:27:41 DEBUG   : starting dmraids
01:27:41 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf']
01:27:41 DEBUG   : DiskSet.skippedDisks: []
01:27:41 DEBUG   : DiskSet.skippedDisks: []
01:27:41 DEBUG   : starting all dmraids on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:41 DEBUG   : scanning for dmraid on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:27:41 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

01:27:41 DEBUG   : got raidset <block.device.RaidSet instance at 0xa60082c> (sdc
sdd sde sdf)
01:27:41 DEBUG   :   valid: True found_devs: 4 total_devs: 4
01:27:41 DEBUG   : adding mapper/isw_biiajbifaf_BLACKRAID to isys cache
01:27:41 DEBUG   : adding sdc to dm cache
01:27:41 DEBUG   : removing sdc from isys cache
01:27:41 DEBUG   : adding sdd to dm cache
01:27:41 DEBUG   : removing sdd from isys cache
01:27:41 DEBUG   : adding sde to dm cache
01:27:41 DEBUG   : removing sde from isys cache
01:27:41 DEBUG   : adding sdf to dm cache
01:27:41 DEBUG   : removing sdf from isys cache
01:27:41 DEBUG   : starting raid <block.device.RaidSet instance at 0xa60082c>
with mknod=True
01:27:41 ERROR   : Activating raid isw_biiajbifaf_BLACKRAID failed: 
01:27:41 ERROR   : Activating raid isw_biiajbifaf_BLACKRAID failed: 
01:27:41 ERROR   :   table: 0 2930304000 raid45 core 2 131072 nosync raid5_la 1
128 4 -1 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
01:27:41 ERROR   :   table: 0 2930304000 raid45 core 2 131072 nosync raid5_la 1
128 4 -1 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
01:27:41 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
01:27:41 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
01:27:41 DEBUG   : done starting dmraids.  Drivelist: ['sda', 'sdb',
'mapper/isw_biiajbifaf_BLACKRAID']
01:27:41 DEBUG   : adding drive sda to disk list
01:27:42 DEBUG   : adding drive sdb to disk list
01:27:42 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:45 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:45 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:45 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:46 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:46 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:46 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:46 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:46 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:47 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:47 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:47 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:57 DEBUG   : parted error: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:27:57 DEBUG   : removing drive mapper/isw_biiajbifaf_BLACKRAID from disk lists
01:27:57 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:57 WARNING : /usr/lib/anaconda/isys.py:864: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:57 WARNING : /usr/lib/anaconda/isys.py:799: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:57 WARNING : /usr/lib/anaconda/isys.py:832: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:57 WARNING : /usr/lib/anaconda/isys.py:926: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:27:57 CRITICAL: anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/partedUtils.py", line 729, in getLabels
    disk = self.disks[drive]
  File "/usr/lib/anaconda/partitions.py", line 90, in setFromDisk
    labels = diskset.getLabels()
  File "/usr/lib/anaconda/partitioning.py", line 53, in partitionObjectsInitialize
    anaconda.id.partitions.setFromDisk(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
KeyError: 'mapper/isw_biiajbifaf_BLACKRAID'

01:34:55 INFO    : using only installclass _Fedora
01:34:55 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda',
'--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
01:34:55 INFO    : Display mode = g
01:34:55 INFO    : Method = livecd:///dev/mapper/live-osimg-min
01:34:55 WARNING : no floppy devices found but we'll try fd0 anyway
01:34:58 INFO    : Starting graphical installation...
01:34:58 INFO    : Detected 3296M of memory
01:34:58 INFO    : Swap attempt of 1000M to 2000M
01:34:58 WARNING : step installtype does not exist
01:34:58 WARNING : step complete does not exist
01:34:58 INFO    : moving (1) to step welcome
01:35:17 INFO    : moving (1) to step keyboard
01:35:18 INFO    : moving (1) to step partitionobjinit
01:35:18 INFO    : no /tmp/fcpconfig; not configuring zfcp
01:35:18 DEBUG   : starting mpaths
01:35:18 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf']
01:35:18 DEBUG   : DiskSet.skippedDisks: []
01:35:18 DEBUG   : DiskSet.skippedDisks: []
01:35:18 DEBUG   : starting all mpaths on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:35:18 DEBUG   : scanning for multipath on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:35:18 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

01:35:18 DEBUG   : loading bdevid modules from:
'/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
01:35:18 DEBUG   : mpaths: []
01:35:18 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb', 'sdc',
'sdd', 'sde', 'sdf']
01:35:18 DEBUG   : starting dmraids
01:35:18 DEBUG   : self.driveList(): ['sda', 'sdb', 'sdc', 'sdd', 'sde', 'sdf']
01:35:18 DEBUG   : DiskSet.skippedDisks: []
01:35:18 DEBUG   : DiskSet.skippedDisks: []
01:35:18 DEBUG   : starting all dmraids on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:35:18 DEBUG   : scanning for dmraid on drives ['sda', 'sdb', 'sdc', 'sdd',
'sde', 'sdf']
01:35:18 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node
created in /tmp
  isys.makeDevInode(d, dp)

01:35:19 DEBUG   : got raidset <block.device.RaidSet instance at 0x99f982c> (sdc
sdd sde sdf)
01:35:19 DEBUG   :   valid: True found_devs: 4 total_devs: 4
01:35:19 DEBUG   : adding mapper/isw_biiajbifaf_BLACKRAID to isys cache
01:35:19 DEBUG   : adding sdc to dm cache
01:35:19 DEBUG   : removing sdc from isys cache
01:35:19 DEBUG   : adding sdd to dm cache
01:35:19 DEBUG   : removing sdd from isys cache
01:35:19 DEBUG   : adding sde to dm cache
01:35:19 DEBUG   : removing sde from isys cache
01:35:19 DEBUG   : adding sdf to dm cache
01:35:19 DEBUG   : removing sdf from isys cache
01:35:19 DEBUG   : starting raid <block.device.RaidSet instance at 0x99f982c>
with mknod=True
01:35:19 ERROR   : Activating raid isw_biiajbifaf_BLACKRAID failed: 
01:35:19 ERROR   : Activating raid isw_biiajbifaf_BLACKRAID failed: 
01:35:19 ERROR   :   table: 0 2930304000 raid45 core 2 131072 nosync raid5_la 1
128 4 -1 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
01:35:19 ERROR   :   table: 0 2930304000 raid45 core 2 131072 nosync raid5_la 1
128 4 -1 /dev/sdc 0 /dev/sdd 0 /dev/sde 0 /dev/sdf 0
01:35:19 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
01:35:19 ERROR   :   exception: device-mapper: reload ioctl failed: Invalid argument
01:35:19 DEBUG   : done starting dmraids.  Drivelist: ['sda', 'sdb',
'mapper/isw_biiajbifaf_BLACKRAID']
01:35:19 DEBUG   : adding drive sda to disk list
01:35:19 DEBUG   : adding drive sdb to disk list
01:35:19 CRITICAL: parted exception: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:36:24 DEBUG   : parted error: Error: Error opening
/dev/mapper/isw_biiajbifaf_BLACKRAID: No such device or address
01:36:24 DEBUG   : removing drive mapper/isw_biiajbifaf_BLACKRAID from disk lists
01:36:24 WARNING : /usr/lib/anaconda/isys.py:873: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:36:24 WARNING : /usr/lib/anaconda/isys.py:864: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:36:24 WARNING : /usr/lib/anaconda/isys.py:799: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:36:24 WARNING : /usr/lib/anaconda/isys.py:832: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")

01:36:24 WARNING : /usr/lib/anaconda/isys.py:926: UserWarning: device node
created in /tmp
  makeDevInode(device, "/tmp/disk")



Version-Release number of selected component (if applicable):

FC 8 Live CD i386/686 (which ever it is for intel)
How reproducible:
Try to install

My system has a RAID 5 via 4 x SATA hard drives on a on board Intel based
Sata/Raid controller, it has been set up for windows.  The name of the RAID
volume is BLACKRAID.
(Thus the hickup in the error message containing it's name)


Steps to Reproduce:
1. Click install to hard drive icon
2. click next
3. select US keyboard and hit next
4. Profit
  
Actual results:
Dies in a fire with error window stating retry or cancel, retry returns the
error window, cancel crashes with above text.

Expected results:
To install this wonderful OS.

Additional info:
Drive configuration
SATA1: 74GB WD Raptor (windows boot)
SATA2: 320GB Linux Drive
SATA3,4,5,6 500GB x SATA Drives in RAID 5 hosted on the built on Intel RAID/SATA
Controller.  

DVD Boot drive is a eIDE Plugged in on board eSATA/PCI/pATA Controller JMicro or
some really crappy annoying thing (yeah this causes issues installing from the
DVD for FC8... doesn't see install media once I am in text boot go figure).
Comment 1 Andy Lindeberg 2008-06-03 13:24:18 EDT
Have you tried installing Fedora 9? If so, has the problem reoccurred?

Note You need to log in before you can comment on or make changes to this bug.